AGErrorHandler (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.http.handler, class: AGErrorHandler

Package com.franz.agraph.http.handler

# Class AGErrorHandler

java.lang.Object
com.franz.agraph.http.handler.AGResponseHandler
com.franz.agraph.http.handler.AGErrorHandler

public class AGErrorHandler extends AGResponseHandler

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `IO_EXCEPTION`
  `static final String`
  `MALFORMED_DATA`
  `static final String`
  `MALFORMED_QUERY`
  `static final String`
  `PRECONDITION_FAILED`
  `static final String`
  `QUERY_TIMEOUT`
  `static final String`
  `UNSUPPORTED_FILE_FORMAT`
  `static final String`
  `UNSUPPORTED_QUERY_LANGUAGE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGErrorHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AGHttpException`
  `getResult()`
  `void`
  `handleResponse(org.apache.http.HttpResponse httpResponse, HttpUriRequest httpUriRequest)`

  ### Methods inherited from class com.franz.agraph.http.handler.AGResponseHandler

  `getRequestMIMEType, releaseConnection`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MALFORMED_QUERY

    public static final String MALFORMED_QUERY
    See Also:
      - Constant Field Values

  - ### MALFORMED_DATA

    public static final String MALFORMED_DATA
    See Also:
      - Constant Field Values

  - ### UNSUPPORTED_QUERY_LANGUAGE

    public static final String UNSUPPORTED_QUERY_LANGUAGE
    See Also:
      - Constant Field Values

  - ### UNSUPPORTED_FILE_FORMAT

    public static final String UNSUPPORTED_FILE_FORMAT
    See Also:
      - Constant Field Values

  - ### PRECONDITION_FAILED

    public static final String PRECONDITION_FAILED
    See Also:
      - Constant Field Values

  - ### IO_EXCEPTION

    public static final String IO_EXCEPTION
    See Also:
      - Constant Field Values

  - ### QUERY_TIMEOUT

    public static final String QUERY_TIMEOUT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AGErrorHandler

    public AGErrorHandler()

- ## Method Details

  - ### handleResponse

    public void handleResponse(org.apache.http.HttpResponse httpResponse, HttpUriRequest httpUriRequest) throws IOException, AGHttpException
    Specified by:
      `handleResponse` in class `AGResponseHandler`
    Throws:
      `IOException`
      `AGHttpException`

  - ### getResult

    public AGHttpException getResult()